#! /bin/bash
echo "Patching VPN Portal"

# Directory with the patch that will be applied
SRC_DIR=$(pwd)/patches

# change to symfony location
cd /var/www/vpnportal/www/vendor/symfony/symfony/

# apply patches
sudo patch -s -p0 < $SRC_DIR/wavpn-patch-cve-2019-10910 1> /dev/null &&
sudo chown www-data:vpnportal src/Symfony/Component/DependencyInjection/Tests/Fixtures/php/services_unsupported_characters.php &&
echo "Patched CVE-2019-10910" &&

sudo patch -s -p0 < $SRC_DIR/wavpn-patch-cve-2019-10911 1> /dev/null &&
echo "Patched CVE-2019-10911" &&

sudo patch -s -p0 < $SRC_DIR/wavpn-patch-cve-2019-10912 1> /dev/null &&
echo "Patched CVE-2019-10912" &&

sudo patch -s -p0 < $SRC_DIR/wavpn-patch-cve-2019-10913 1> /dev/null &&
echo "Patched CVE-2019-10913" &&

sudo patch -s -p0 < $SRC_DIR/wavpn-patch-cve-2019-18887 1> /dev/null &&
echo "Patched CVE-2019-18887" &&

sudo patch -s -p0 < $SRC_DIR/wavpn-patch-cve-2019-18888 1> /dev/null &&
sudo cp $SRC_DIR/-test src/Symfony/Component/HttpFoundation/Tests/File/Fixtures/-test &&
sudo chown www-data:vpnportal src/Symfony/Component/HttpFoundation/Tests/File/Fixtures/-test &&
echo "Patched CVE-2019-18888" &&

sudo patch -s -p0 < $SRC_DIR/wavpn-patch-cve-2019-18889 1> /dev/null &&
echo "Patched CVE-2019-18889" &&

# restart apache
sudo systemctl restart apache2

if [ $? -eq 0 ]; then
    echo "Patching successfully finished. You may now close this terminal."
else
    echo "There were errors that prevented the patch from being applied."
fi