<?php

namespace AppBundle\Api;

use Monolog\Logger;

/**
 * Class CsServerSettings
 * @package AppBundle\Api
 */
class DsServer{


    /**
     * @var Logger
     */
    protected $log;

    /**
     * @var \DSPhpClientApi
     */
    protected $dsPhpClientApi;

    /**
     * DsServer constructor.
     * @param $dsPhpClientApi
     * @param Logger $log
     */
    function __construct($dsPhpClientApi, Logger $log) {

        $this->dsPhpClientApi = $dsPhpClientApi;
        $this->log = $log;

    }

    /**
     * @param $functionName
     * @param array $arguments
     * @param \Exception|null $exception
     */
    private function logError($functionName, array $arguments, \Exception $exception = null){

        try{

            $ref = new \ReflectionMethod($this, $functionName);
            $functionParameters = [];

            foreach($ref->getParameters() as $key => $currentParameter) {

                $functionParameters[$currentParameter->getName()] = $arguments[$key];

            }

            $this->log->addError('Exception ' . (($exception !== null) ? '"' .$exception->getMessage(). '"' : '').' on '. $functionName .', parameters:' . print_r(serialize($functionParameters), true));

        }catch (\Exception $e){

            $this->log->addError('Exception ' . (($exception !== null) ? '"' .$exception->getMessage(). '"' : '').' on '. $functionName);

        }

    }

}
