<?php

namespace AppBundle\Entity;

use Doctrine\Common\Collections\ArrayCollection;

class Device
{

    /**
     * @var int
     */
    protected $id;

    /**
     * @var string
     */
    protected $name;

    /**
     * @var string
     */
    protected $label;

    /**
     * @var bool
     */
    protected $validated;

    /**
     * @var array
     */
    protected $networks;

    /**
     * @var int
     */
    protected $deviceProxy;

    /**
     * @var int
     */
    protected $lanProxy;

    /**
     * @var string
     */
    protected $proxyUrl;

    /**
     * @var string
     */
    protected $lanIp;

    /**
     * @var string
     */
    protected $fixedProxyUrl;

    /**
     * @var array
     */
    protected $lans;

    /**
     * @var array
     */
    protected $incomingAcceptFwRules;

    /**
     * @var array
     */
    protected $incomingDropFwRules;

    /**
     * @var array
     */
    protected $outgoingAcceptFwRules;

    /**
     * @var array
     */
    protected $outgoingDropFwRules;

    /**
     * @var string
     */
    protected $defaultFwIncomingFwPolicy;

    /**
     * @var string
     */
    protected $defaultFwOutgoingFwPolicy;

    /**
     * @var array
     */
    protected $oneToOneNat;

    /**
     * @var array
     */
    protected $oneToOneNatPending;

    /**
     * Clone
     */
    public function __clone(){

        $collection = new ArrayCollection();

        foreach($this->lans->toArray() as $item){

            $collection->add(clone($item));

        }

        $this->lans = $collection;

        $collection = new ArrayCollection();

        foreach($this->incomingAcceptFwRules->toArray() as $item){

            $collection->add(clone($item));

        }

        $this->incomingAcceptFwRules = $collection;

        $collection = new ArrayCollection();

        foreach($this->incomingDropFwRules->toArray() as $item){

            $collection->add(clone($item));

        }

        $this->incomingDropFwRules = $collection;

        $collection = new ArrayCollection();

        foreach($this->outgoingAcceptFwRules->toArray() as $item){

            $collection->add(clone($item));

        }

        $this->outgoingAcceptFwRules = $collection;

        $collection = new ArrayCollection();

        foreach($this->outgoingDropFwRules->toArray() as $item){

            $collection->add(clone($item));

        }

        $this->outgoingDropFwRules = $collection;

    }

    /**
     * @return int
     */
    public function getId(){

        return $this->id;

    }

    /**
     * @param $id
     */
    public function setId($id){

        $this->id = $id;

    }

    /**
     * @return string
     */
    public function getName(){

        return $this->name;

    }

    /**
     * @param $name
     */
    public function setName($name){

        $this->name = $name;

    }

    /**
     * @return string
     */
    public function getLabel(){

        return $this->label;

    }

    /**
     * @param $label
     */
    public function setLabel($label){

        $this->label = $label;

    }

    /**
     * @param $lans
     */
    public function setLans($lans){

        $this->lans = $lans;

    }

    /**
     * @return array
     */
    public function getLans(){

        return $this->lans;

    }

    /**
     * @param $fwRules
     */
    public function setIncomingAcceptFwRules($fwRules){

        $this->incomingAcceptFwRules = $fwRules;

    }

    /**
     * @return array
     */
    public function getIncomingAcceptFwRules(){

        return $this->incomingAcceptFwRules;

    }

    /**
     * @param $fwRules
     */
    public function setIncomingDropFwRules($fwRules){

        $this->incomingDropFwRules = $fwRules;

    }

    /**
     * @return array
     */
    public function getIncomingDropFwRules(){

        return $this->incomingDropFwRules;

    }

    /**
     * @param $fwRules
     */
    public function setOutgoingAcceptFwRules($fwRules){

        $this->outgoingAcceptFwRules = $fwRules;

    }

    /**
     * @return array
     */
    public function getOutgoingAcceptFwRules(){

        return $this->outgoingAcceptFwRules;

    }

    /**
     * @param $fwRules
     */
    public function setOutgoingDropFwRules($fwRules){

        $this->outgoingDropFwRules = $fwRules;

    }

    /**
     * @return array
     */
    public function getOutgoingDropFwRules(){

        return $this->outgoingDropFwRules;

    }

    /**
     * @return string
     */
    public function getDefaultFwIncomingPolicy(){

        return $this->defaultFwIncomingFwPolicy;

    }

    /**
     * @param $defaultPolicy
     */
    public function setDefaultFwIncomingPolicy($defaultPolicy){

        $this->defaultFwIncomingFwPolicy = $defaultPolicy;

    }

    /**
     * @return string
     */
    public function getDefaultFwOutgoingPolicy(){

        return $this->defaultFwOutgoingFwPolicy;

    }

    /**
     * @param $defaultPolicy
     */
    public function setDefaultFwOutgoingPolicy($defaultPolicy){

        $this->defaultFwOutgoingFwPolicy = $defaultPolicy;

    }

    /**
     * @return bool
     */
    public function getValidated(){

        if($this->validated == '1')

            return true;

        else

            return false;

    }

    /**
     * @param $status
     */
    public function setValidated($status){

        $this->validated = $status;

    }

    /**
     * @return array
     */
    public function getNetworks(){

        return $this->networks;

    }

    /**
     * @param $networks
     */
    public function setNetworks($networks){

        $this->networks = $networks;

    }

    /**
     * @return boolean
     */
    public function getDeviceProxy(){

        return $this->deviceProxy;

    }

    /**
     * @param $deviceProxy
     */
    public function setDeviceProxy($deviceProxy){

        $this->deviceProxy = $deviceProxy;

    }

    /**
     * @return boolean
     */
    public function getLanProxy(){

        return $this->lanProxy;

    }

    /**
     * @param $lanProxy
     */
    public function setLanProxy($lanProxy){

        $this->lanProxy = $lanProxy;

    }

    /**
     * @param $proxyUrl
     */
    public function setProxyUrl($proxyUrl){

        $this->proxyUrl = $proxyUrl;

    }

    /**
     * @return string
     */
    public function getFixedProxyUrl(){

        return $this->fixedProxyUrl;

    }
    /**
     * @return string
     */
    public function getLanIp(){

        return $this->lanIp;

    }

    /**
     * @param lanIp
     */
    public function setLanIp($lanIp){

        $this->lanIp = $lanIp;

    }

    /**
     * @return array
     */
    public function getOneToOneNat(){

        return $this->oneToOneNat;

    }

    /**
     * @param $oneToOneNat
     */
    public function setOneToOneNatPending($oneToOneNatPending){

        $this->oneToOneNatPending = $oneToOneNatPending;

    }

    /**
     * @return array
     */
    public function getOneToOneNatPending(){

        return $this->oneToOneNatPending;

    }

    /**
     * @param $oneToOneNat
     */
    public function setOneToOneNat($oneToOneNat){

        $this->oneToOneNat = $oneToOneNat;

    }


    /**
     * @return array
     */
    public function getData(){

        return array("validated" => $this->validated, 'networks' => $this->networks,
            'lans' => $this->lans);

    }

}